#line 1 "C:/Users/Viktor/Desktop/led_ring/PIC/library/src/led_ring_hal.c"
#line 1 "c:/users/viktor/desktop/led_ring/pic/library/include/led_ring_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 65 "c:/users/viktor/desktop/led_ring/pic/library/include/led_ring_hal.h"
void led_ring_hal_init();

void led_ring_hal_reset();

void led_ring_hal_write( uint8_t *buffer,
 uint16_t count );
#line 29 "C:/Users/Viktor/Desktop/led_ring/PIC/library/src/led_ring_hal.c"
static void ( *write_spi_p )( unsigned char data_out );
static unsigned char ( *read_spi_p )( unsigned char dummy );
#line 53 "C:/Users/Viktor/Desktop/led_ring/PIC/library/src/led_ring_hal.c"
extern sfr sbit LRR_RST;
extern sfr sbit LRR_LAT;
#line 65 "C:/Users/Viktor/Desktop/led_ring/PIC/library/src/led_ring_hal.c"
void led_ring_hal_init()
{
#line 76 "C:/Users/Viktor/Desktop/led_ring/PIC/library/src/led_ring_hal.c"
 write_spi_p = SPI1_Write;
 read_spi_p = SPI1_Read;
#line 85 "C:/Users/Viktor/Desktop/led_ring/PIC/library/src/led_ring_hal.c"
}

void led_ring_hal_reset()
{
 LRR_RST = 0;
 Delay_ms(1);
 LRR_RST = 1;
}

void led_ring_hal_write( uint8_t *buffer,
 uint16_t count )
{
 while( count-- )
 {
 write_spi_p( *( buffer++ ) );
 }
}
