#line 1 "C:/Users/Viktor/Desktop/led_ring/PIC/example/Led_Ring_Example.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;



typedef signed char int_fast8_t;
typedef signed int int_fast16_t;
typedef signed long int int_fast32_t;


typedef unsigned char uint_fast8_t;
typedef unsigned int uint_fast16_t;
typedef unsigned long int uint_fast32_t;


typedef signed int intptr_t;
typedef unsigned int uintptr_t;


typedef signed long int intmax_t;
typedef unsigned long int uintmax_t;
#line 1 "c:/users/viktor/desktop/led_ring/pic/library/include/led_ring_hw.h"
#line 1 "c:/users/viktor/desktop/led_ring/pic/library/include/led_ring_hal.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/stdint.h"
#line 65 "c:/users/viktor/desktop/led_ring/pic/library/include/led_ring_hal.h"
void led_ring_hal_init();

void led_ring_hal_reset();

void led_ring_hal_write( uint8_t *buffer,
 uint16_t count );
#line 67 "c:/users/viktor/desktop/led_ring/pic/library/include/led_ring_hw.h"
void led_ring_start();

void led_ring_send_8 (uint8_t _data);

void led_ring_send_32 ( uint32_t _data );

void led_ring_latch();

void led_ring_latch_low();

void led_ring_latch_high();

void led_ring_reset_low();

void led_ring_reset_high();
#line 4 "C:/Users/Viktor/Desktop/led_ring/PIC/example/Led_Ring_Example.c"
sbit LRR_LAT at RE0_bit;
sbit LRR_RST at RE1_bit;


void main() {

 uint8_t test_bfr[4];
 uint8_t i = 0;
 uint16_t var_time = 500;
 uint32_t led = 0x00000001;



 ANSELA = 0;
 ANSELC = 0;
 ANSELE = 0;
 TRISA = 0;
 TRISB = 0;
 TRISE = 0;




 SPI1_Init();

 led_ring_hal_init();
 led_ring_start();

 test_bfr[0] = 0xAA;
 test_bfr[1] = 0xAA;
 test_bfr[2] = 0xAA;
 test_bfr[3] = 0xAA;

 led_ring_hal_write(&test_bfr, 4);
 led_ring_latch();

 Delay_ms(1000);

 led_ring_send_32 ( 0xFAFAFAFA );

 Delay_ms(2000);
 led_ring_send_8 ( test_bfr[0] );
 led_ring_send_8 ( test_bfr[0] );
 led_ring_send_8 ( test_bfr[0] );
 led_ring_send_8 ( test_bfr[0] );

 while (1)
 {
 led_ring_send_32 ( led );
 vDelay_ms(var_time);
 led = led << 1;
 if (led == 0)
 {
 led = 1;
 i++;
 if (i == 0)
 var_time = 500;
 else if (i == 1)
 var_time = 250;
 else if (i == 2)
 var_time = 100;
 else if (i == 3)
 var_time = 50;
 else if ( i == 4 )
 {
 var_time = 500;
 i = 0;
 }
 }
 }

}
