
_led_ring_hal_init:

;led_ring_hal.c,65 :: 		void led_ring_hal_init()
;led_ring_hal.c,76 :: 		write_spi_p = SPI1_Write;
	MOVLW       _SPI1_Write+0
	MOVWF       led_ring_hal_write_spi_p+0 
	MOVLW       hi_addr(_SPI1_Write+0)
	MOVWF       led_ring_hal_write_spi_p+1 
	MOVLW       FARG_SPI1_Write_data_+0
	MOVWF       led_ring_hal_write_spi_p+2 
	MOVLW       hi_addr(FARG_SPI1_Write_data_+0)
	MOVWF       led_ring_hal_write_spi_p+3 
;led_ring_hal.c,77 :: 		read_spi_p = SPI1_Read;
	MOVLW       _SPI1_Read+0
	MOVWF       led_ring_hal_read_spi_p+0 
	MOVLW       hi_addr(_SPI1_Read+0)
	MOVWF       led_ring_hal_read_spi_p+1 
	MOVLW       FARG_SPI1_Read_buffer+0
	MOVWF       led_ring_hal_read_spi_p+2 
	MOVLW       hi_addr(FARG_SPI1_Read_buffer+0)
	MOVWF       led_ring_hal_read_spi_p+3 
;led_ring_hal.c,85 :: 		}
L_end_led_ring_hal_init:
	RETURN      0
; end of _led_ring_hal_init

_led_ring_hal_reset:

;led_ring_hal.c,87 :: 		void led_ring_hal_reset()
;led_ring_hal.c,89 :: 		LRR_RST = 0;
	BCF         LRR_RST+0, BitPos(LRR_RST+0) 
;led_ring_hal.c,90 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_led_ring_hal_reset0:
	DECFSZ      R13, 1, 1
	BRA         L_led_ring_hal_reset0
	DECFSZ      R12, 1, 1
	BRA         L_led_ring_hal_reset0
	NOP
	NOP
;led_ring_hal.c,91 :: 		LRR_RST = 1;
	BSF         LRR_RST+0, BitPos(LRR_RST+0) 
;led_ring_hal.c,92 :: 		}
L_end_led_ring_hal_reset:
	RETURN      0
; end of _led_ring_hal_reset

_led_ring_hal_write:

;led_ring_hal.c,95 :: 		uint16_t count )
;led_ring_hal.c,97 :: 		while( count-- )
L_led_ring_hal_write1:
	MOVF        FARG_led_ring_hal_write_count+0, 0 
	MOVWF       R0 
	MOVF        FARG_led_ring_hal_write_count+1, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       FARG_led_ring_hal_write_count+0, 1 
	MOVLW       0
	SUBWFB      FARG_led_ring_hal_write_count+1, 1 
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_led_ring_hal_write2
;led_ring_hal.c,99 :: 		write_spi_p( *( buffer++ ) );
	MOVF        led_ring_hal_write_spi_p+2, 0 
	MOVWF       FSR1 
	MOVF        led_ring_hal_write_spi_p+3, 0 
	MOVWF       FSR1H 
	MOVFF       FARG_led_ring_hal_write_buffer+0, FSR0
	MOVFF       FARG_led_ring_hal_write_buffer+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        led_ring_hal_write_spi_p+0, 0 
	MOVWF       R0 
	MOVF        led_ring_hal_write_spi_p+1, 0 
	MOVWF       R1 
	CALL        _____DoIFC+0, 0
	INFSNZ      FARG_led_ring_hal_write_buffer+0, 1 
	INCF        FARG_led_ring_hal_write_buffer+1, 1 
;led_ring_hal.c,100 :: 		}
	GOTO        L_led_ring_hal_write1
L_led_ring_hal_write2:
;led_ring_hal.c,101 :: 		}
L_end_led_ring_hal_write:
	RETURN      0
; end of _led_ring_hal_write
