
_led_ring_start:

;led_ring_hw.c,31 :: 		void led_ring_start()
;led_ring_hw.c,33 :: 		led_ring_hal_reset();
	CALL        _led_ring_hal_reset+0, 0
;led_ring_hw.c,34 :: 		LRR_LAT = 0;
	BCF         LRR_LAT+0, BitPos(LRR_LAT+0) 
;led_ring_hw.c,35 :: 		}
L_end_led_ring_start:
	RETURN      0
; end of _led_ring_start

_led_ring_send_8:

;led_ring_hw.c,37 :: 		void led_ring_send_8 (uint8_t _data)
;led_ring_hw.c,40 :: 		temp_buffer = _data;
	MOVF        FARG_led_ring_send_8__data+0, 0 
	MOVWF       led_ring_send_8_temp_buffer_L0+0 
;led_ring_hw.c,41 :: 		led_ring_hal_write(&temp_buffer, 1);
	MOVLW       led_ring_send_8_temp_buffer_L0+0
	MOVWF       FARG_led_ring_hal_write_buffer+0 
	MOVLW       hi_addr(led_ring_send_8_temp_buffer_L0+0)
	MOVWF       FARG_led_ring_hal_write_buffer+1 
	MOVLW       1
	MOVWF       FARG_led_ring_hal_write_count+0 
	MOVLW       0
	MOVWF       FARG_led_ring_hal_write_count+1 
	CALL        _led_ring_hal_write+0, 0
;led_ring_hw.c,42 :: 		led_ring_latch();
	CALL        _led_ring_latch+0, 0
;led_ring_hw.c,43 :: 		}
L_end_led_ring_send_8:
	RETURN      0
; end of _led_ring_send_8

_led_ring_send_32:

;led_ring_hw.c,45 :: 		void led_ring_send_32 ( uint32_t _data )
;led_ring_hw.c,48 :: 		temp_buffer[0] = _data;
	MOVF        FARG_led_ring_send_32__data+0, 0 
	MOVWF       led_ring_send_32_temp_buffer_L0+0 
;led_ring_hw.c,49 :: 		temp_buffer[1] = _data >> 8;
	MOVF        FARG_led_ring_send_32__data+1, 0 
	MOVWF       R0 
	MOVF        FARG_led_ring_send_32__data+2, 0 
	MOVWF       R1 
	MOVF        FARG_led_ring_send_32__data+3, 0 
	MOVWF       R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       led_ring_send_32_temp_buffer_L0+1 
;led_ring_hw.c,50 :: 		temp_buffer[2] = _data >> 16;
	MOVF        FARG_led_ring_send_32__data+2, 0 
	MOVWF       R0 
	MOVF        FARG_led_ring_send_32__data+3, 0 
	MOVWF       R1 
	CLRF        R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       led_ring_send_32_temp_buffer_L0+2 
;led_ring_hw.c,51 :: 		temp_buffer[3] = _data >> 24;
	MOVF        FARG_led_ring_send_32__data+3, 0 
	MOVWF       R0 
	CLRF        R1 
	CLRF        R2 
	CLRF        R3 
	MOVF        R0, 0 
	MOVWF       led_ring_send_32_temp_buffer_L0+3 
;led_ring_hw.c,53 :: 		led_ring_hal_write(&temp_buffer, 4);
	MOVLW       led_ring_send_32_temp_buffer_L0+0
	MOVWF       FARG_led_ring_hal_write_buffer+0 
	MOVLW       hi_addr(led_ring_send_32_temp_buffer_L0+0)
	MOVWF       FARG_led_ring_hal_write_buffer+1 
	MOVLW       4
	MOVWF       FARG_led_ring_hal_write_count+0 
	MOVLW       0
	MOVWF       FARG_led_ring_hal_write_count+1 
	CALL        _led_ring_hal_write+0, 0
;led_ring_hw.c,54 :: 		led_ring_latch();
	CALL        _led_ring_latch+0, 0
;led_ring_hw.c,55 :: 		}
L_end_led_ring_send_32:
	RETURN      0
; end of _led_ring_send_32

_led_ring_latch:

;led_ring_hw.c,57 :: 		void led_ring_latch()
;led_ring_hw.c,59 :: 		LRR_LAT = 1;
	BSF         LRR_LAT+0, BitPos(LRR_LAT+0) 
;led_ring_hw.c,60 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_led_ring_latch0:
	DECFSZ      R13, 1, 1
	BRA         L_led_ring_latch0
	DECFSZ      R12, 1, 1
	BRA         L_led_ring_latch0
	NOP
	NOP
;led_ring_hw.c,61 :: 		LRR_LAT = 0;
	BCF         LRR_LAT+0, BitPos(LRR_LAT+0) 
;led_ring_hw.c,62 :: 		}
L_end_led_ring_latch:
	RETURN      0
; end of _led_ring_latch

_led_ring_latch_low:

;led_ring_hw.c,64 :: 		void led_ring_latch_low()
;led_ring_hw.c,66 :: 		LRR_LAT = 0;
	BCF         LRR_LAT+0, BitPos(LRR_LAT+0) 
;led_ring_hw.c,67 :: 		}
L_end_led_ring_latch_low:
	RETURN      0
; end of _led_ring_latch_low

_led_ring_latch_high:

;led_ring_hw.c,69 :: 		void led_ring_latch_high()
;led_ring_hw.c,71 :: 		LRR_LAT = 1;
	BSF         LRR_LAT+0, BitPos(LRR_LAT+0) 
;led_ring_hw.c,72 :: 		}
L_end_led_ring_latch_high:
	RETURN      0
; end of _led_ring_latch_high

_led_ring_reset_low:

;led_ring_hw.c,74 :: 		void led_ring_reset_low()
;led_ring_hw.c,76 :: 		LRR_RST = 0;
	BCF         LRR_RST+0, BitPos(LRR_RST+0) 
;led_ring_hw.c,77 :: 		}
L_end_led_ring_reset_low:
	RETURN      0
; end of _led_ring_reset_low

_led_ring_reset_high:

;led_ring_hw.c,79 :: 		void led_ring_reset_high()
;led_ring_hw.c,81 :: 		LRR_RST = 1;
	BSF         LRR_RST+0, BitPos(LRR_RST+0) 
;led_ring_hw.c,82 :: 		}
L_end_led_ring_reset_high:
	RETURN      0
; end of _led_ring_reset_high
